import request from '@/utils/request'

// 查询巡检点管理列表
export function listLocation(query) {
  return request({
    url: '/qdtl/location/list',
    method: 'get',
    params: query
  })
}

// 查询巡检点管理详细
export function getLocation(id) {
  return request({
    url: '/qdtl/location/' + id,
    method: 'get'
  })
}

// 新增巡检点管理
export function addLocation(data) {
  return request({
    url: '/qdtl/location',
    method: 'post',
    data: data
  })
}

// 修改巡检点管理
export function updateLocation(data) {
  return request({
    url: '/qdtl/location',
    method: 'put',
    data: data
  })
}

// 删除巡检点管理
export function delLocation(id) {
  return request({
    url: '/qdtl/location/' + id,
    method: 'delete'
  })
}
